This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021684 - multiApp - app can be build from switchyard/demos/multiApp - but order* children cannot be build separately [NEEDINFO]
multiApp - app can be build from switchyard/demos/multiApp - but order* child...
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: kconner
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 15:22 EDT by Len DiMaggio
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 13:24:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kconner: needinfo? (ldimaggi)


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-10-21 15:22:50 EDT
Description of problem:

It's possible to build switchyard/demos/multiApp:

cd switchyard/demos/multiApp
mvn clean install

But, attempting to build the order-consumer or order-producer results in this error:

Failed to execute goal on project switchyard-quickstart-demo-multi-order-consumer: Could not resolve dependencies for project org.switchyard.quickstarts.demos:switchyard-quickstart-demo-multi-order-consumer:jar:1.1.0.M3-redhat-2: Failed to collect dependencies for [org.switchyard:switchyard-api:jar:1.1.0.M3-redhat-2 (compile), org.switchyard:switchyard-plugin:jar:1.1.0.M3-redhat-2 (compile), org.switchyard.components:switchyard-component-bean:jar:1.1.0.M3-redhat-2 (compile), org.switchyard.components:switchyard-component-camel:jar:1.1.0.M3-redhat-2 (compile), org.switchyard.components:switchyard-component-camel-core:jar:1.1.0.M3-redhat-2 (compile), org.switchyard.components:switchyard-component-soap:jar:1.1.0.M3-redhat-2 (compile), org.switchyard.quickstarts.demos:switchyard-quickstart-demo-multi-artifacts:jar:1.1.0.M3-redhat-2 (compile), org.hornetq:hornetq-core-client:jar:2.3.1.Final-redhat-1 (compile), javax.jms:jms:jar:1.1 (compile), org.switchyard:switchyard-test:jar:1.1.0.M3-redhat-2 (test), org.switchyard.components:switchyard-component-test-mixin-hornetq:jar:1.1.0.M3-redhat-2 (test), junit:junit:jar:4.10-redhat-2 (test)]: Failed to read artifact descriptor for org.switchyard.quickstarts.demos:switchyard-quickstart-demo-multi-artifacts:jar:1.1.0.M3-redhat-2: Could not find artifact org.switchyard.quickstarts:switchyard-quickstart-parent:pom:1.1.0.M3-redhat-2 in redhat-techpreview-all-repository (http://maven.repository.redhat.com/techpreview/all/) -> [Help 1]

Version-Release number of selected component (if applicable):
ER6

How reproducible:


Steps to Reproduce:
1. cd switchyard/demos/multiApp/order-consumer (or producer)
2. mvn clean install

Actual results:
Error seen above

Expected results:


Additional info:
Comment 1 Len DiMaggio 2013-10-21 15:28:41 EDT
The odd thing here is that the pom.xml's look OK:

switchyard/demos/multiApp/order-consumer
    <parent>
        <groupId>org.switchyard.quickstarts</groupId>
        <artifactId>switchyard-quickstart-parent</artifactId>
        <version>1.1.0.M3-redhat-2</version>
        <relativePath>../../../pom.xml</relativePath>
    </parent>

switchyard/demos/multiApp
    <parent>
        <groupId>org.switchyard.quickstarts</groupId>
        <artifactId>switchyard-quickstart-parent</artifactId>
        <version>1.1.0.M3-redhat-2</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
Comment 2 kconner 2013-10-30 20:44:57 EDT
Shouldn't the repository be http://maven.repository.redhat.com/techpreview/ip6/6.0.0.Beta/maven-repository/?

Note You need to log in before you can comment on or make changes to this bug.